jQuery(function( $ ) {
	var $div = $( '.psa-starter__content' ),
		$configs = $div.find( 'input[name], select[name]' ),
		$selects = $configs.filter( 'select' ),
		$checkboxes = $configs.filter( '[type=checkbox]' ),
		$texts = $configs.filter( '[type=text]' ),
		ajaxUrl = peepsodata.ajaxurl_legacy + 'configurationajax.set';

	// Handle comboboxes.
	$selects.on( 'change', function() {
		var $el = $( this ),
			$spinner = $el.next( 'span' ).hide(),
			$check = $spinner.next( 'i.fa-check' ).hide(),
			key = $el.attr( 'name' ),
			value = $el.val(),
			params = { key: key, value: value };

		$spinner.show();
		$check.hide();
		$configs.attr( 'disabled', 1 );
		peepso.getJson( ajaxUrl, params, function() {
			$spinner.hide();
			$check.show().delay( 500 ).fadeOut();
			$configs.removeAttr( 'disabled' );
		});
	});

	// Handle checkboxes.
	$checkboxes.on( 'click', function() {
		var $el = $( this ),
			$spinner = $el.next( 'span' ).hide(),
			$check = $spinner.next( 'i.fa-check' ).hide(),
			key = $el.attr( 'name' ),
			value = this.checked ? $el.val() : 0,
			params = { key: key, value: value };

		$spinner.show();
		$check.hide();
		$configs.attr( 'disabled', 1 );
		peepso.getJson( ajaxUrl, params, function() {
			$spinner.hide();
			$check.show().delay( 500 ).fadeOut();
			$configs.removeAttr( 'disabled' );
		});
	});

	// Handle text inputs.
	$texts.each(function() {
		var $el = $( this ),
			$spinner = $el.siblings( 'span' ).hide(),
			$check = $el.siblings( 'i.fa-check' ).hide(),
			$cancel = $el.siblings( '.ps-js-cancel' ),
			$save = $el.siblings( '.ps-js-save' ),
			initialValue = $el.val();

		$el.on( 'input', function() {
			$cancel.show();
			$save.show();
		}).on( 'keydown', function( e ) {
			if ( e.keyCode === 13 ) {
				e.preventDefault();
				e.stopPropagation();
				$save.click();
			}
		});

		$cancel.on( 'click', function() {
			$el.val( initialValue );
			$cancel.hide();
			$save.hide();
		});

		$save.on( 'click', function() {
			var params = {
				key: $el.attr( 'name' ),
				value: $el.val()
			};

			// Do not proceed if text input is currently disabled.
			if ( $el.attr( 'disabled' ) ) {
				return;
			}

			$spinner.show();
			$check.hide();
			$configs.attr( 'disabled', 1 );
			peepso.getJson( ajaxUrl, params, function() {
				$cancel.hide();
				$save.hide();
				$spinner.hide();
				$check.show().delay( 500 ).fadeOut();
				$configs.removeAttr( 'disabled' );
				initialValue = $el.val();
			});
		});
	});

});
